# __gnu_debug::_Not_equal_to< _Type > Class Template Reference

List of all members.

## Detailed Description

### template<typename _Type>
class __gnu_debug::_Not_equal_to< _Type >

A simple function object that returns true if the passed-in value is not equal to the stored value. It saves typing over using both bind1st and not_equal.

Definition at line 53 of file safe_sequence.h.

## Public Member Functions

- _Not_equal_to (const _Type &__v)
- bool operator() (const _Type &__x) const

The documentation for this class was generated from the following file:

- safe_sequence.h